<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.instruction.analysis.preference.anadefs')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" style="width: 100%">
				<h:outputText value="#{facesContext.translate('label.instruction.analysis.choose.function')}" />
				<p:commandButton value="#{functionselectionModel.preference.bean.summary}" icon="fa fa-info-circle" type="button" onclick="PF('myModal').show();" />
				<h:outputText value="#{facesContext.translate('label.alias')}" />
				<p:inputText id="alias" value="#{functionselectionModel.preference.bean.alias}" style="width: 95%" />
        <h:outputText value="#{facesContext.translate('label.acronym')}" />
        <p:inputText id="acronym" value="#{functionselectionModel.preference.bean.acronym}" style="width: 95%" required="#{!functionselectionController.cancelling}" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.acronym')}" />
				<h:outputText value="#{facesContext.translate('label.description')}" />
				<p:inputTextarea value="#{functionselectionModel.preference.bean.description}" style="width: 95%" />
				<h:outputText value="#{facesContext.translate('label.statistic.category')}" />
				<ui:repeat value="#{functionselectionModel.preference.bean.category}" var="cat">
					<h:outputText value="#{cat.name}" title="#{cat.description}" styleClass="squarebadge" />
				</ui:repeat>
			</p:panelGrid>
			<p:dialog id="modal" widgetVar="myModal" header="#{functionselectionModel.preference.bean.name}" styleClass="myModal" style="width: 90vw">
				<h:outputText value="#{functionselectionModel.preference.bean.functionDescription}" />
				<br />
				<p:link value="#{functionselectionModel.preference.bean.vignette}" href="#{functionselectionModel.preference.bean.vignette}" target="#" />
			</p:dialog>
			<p:dataTable id="anadefs" value="#{functionselectionModel.preference.anadefs}" var="d">
				<p:column headerText="#{facesContext.translate('title.analysis.preference.anadefs.name')}">
					<h:outputText value="#{d.name}" />
				</p:column>
				<p:column headerText="#{facesContext.translate('title.analysis.preference.anadefs.value')}">
					<ship:inputJson id="value" value="#{d.value}" typerestriction="#{d.typeRestriction}" type="#{d.typeName}" width="95%" />
				</p:column>
				<p:column>
					<p:selectBooleanCheckbox id="forced" value="#{d.forced}" itemLabel="#{facesContext.translate('label.analysis.anadef.forced')}" />
				</p:column>
			</p:dataTable>
			<p:panel header="#{facesContext.translate('label.instruction.analysis.preference.scale')}">
				<table>
					<tr>
						<ui:repeat value="#{functionselectionModel.preference.anascales}" var="s" varStatus="status">
							<td style="padding-right: 48px"><p:selectBooleanCheckbox id="value_#{status.index}" value="#{s.value}" itemLabel="#{facesContext.translate('scale.'.concat(s.scaleNiveau))}"
									disabled="#{s.disabled}" /></td>
						</ui:repeat>
					</tr>
				</table>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve_subitem" action="#{functionselectionController.doApprovePreferences}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			<p:commandButton id="btn_cancel_subitem" action="#{functionselectionController.toEdit(functionselectionModel.templateBean)}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>